import React, { useMemo } from 'react';
import { SelectedTextColorContext } from './SelectedTextColorContext';
export var SelectedTextColorProvider = function SelectedTextColorProvider(_ref) {
  var children = _ref.children,
    defaultColor = _ref.defaultColor,
    textColor = _ref.textColor;
  var value = useMemo(function () {
    return {
      defaultColor: defaultColor,
      textColor: textColor
    };
  }, [defaultColor, textColor]);
  return /*#__PURE__*/React.createElement(SelectedTextColorContext.Provider, {
    value: value
  }, children);
};